Subject: Re: linux-next: build failure after merge of the workqueues tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 17 Apr 2025 16:35:30 +1000

Hi Tejun,

On Wed, 16 Apr 2025 20:15:15 -1000 Tejun Heo <[email-masked]> wrote:
>
> On Thu, Apr 17, 2025 at 02:26:36PM +1000, Stephen Rothwell wrote:
> ...
> > I am still seeing this failure.  Forgot to push out?  
> 
> Hah, we might be seeing some caching problem.
> 
>   htejun@slm ~/o/wq (for-next)> git rev-list for-next \^master --oneline
>   24cdab5787a0 workqueue: Better document teardown for delayed_work
>   htejun@slm ~/o/wq (for-next)> git push [email-masked]:pub/scm/linux/kernel/git/tj/wq.git for-next:for-next
>   Everything up-to-date
>   htejun@slm ~/o/wq (for-next)> git fetch -f [email-masked]:pub/scm/linux/kernel/git/tj/wq.git for-next:tmp 
>   htejun@slm ~/o/wq (for-next)> git rev-list tmp \^master --oneline
>   24cdab5787a0 workqueue: Better document teardown for delayed_work
>   htejun@slm ~/o/wq (for-next)> git fetch https://git.kernel.org/pub/scm/linux/kernel/git/tj/wq.git for-next:tmp2                                                    
>   From https://git.kernel.org/pub/scm/linux/kernel/git/tj/wq
>    * [new branch]                for-next   -> tmp2
>   htejun@slm ~/o/wq (for-next)> git rev-list tmp2 \^master --oneline
>   2762750ac5c6 workqueue: Better document teardown for delayed_work
>   345e029b561e rust: workqueue: remove HasWork::OFFSET
> 
> Cc'ing [email-masked]. Imma leave the tree as-is for debugging. The
> tree only has a documentation patch, so it's fine to skip for linux-next for
> now. I'll wait a couple days and if the problem doesn't get resolved, I'll
> try to update the branch and see whether the stale cache clears.

Thanks for checking.  I have a few days off now, so I guess we will see
what it is like on (my) Tuesday.

-- 
Cheers,
Stephen Rothwell